%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Transform all image 
%
% author : 
% Use dcm4che2 
% Here interpolate TTF (zoom 1/2)
%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear all
clc


rep = 'C:\Users\Dimitri\Desktop\original';%input
[fS, noun] = dicomdir(rep);

[garb noofiles] = size(fS);

valZoom= 2;

% fid = fopen('C:\Users\Dimitri\Desktop\patient27x4\000000\readmeInterpolation.txt','wt');% file time
 titime = 0;
 tftime = 0;
 
for i=1:noofiles % 1 to size liste file in folder 
    t1 = cputime;
    Y = dicomread(fS(i).name,'Frames', 1); % array frame dicom
    Iu = uint16(Y); 
    maximum = max(max(Y)); % maximum intensity 
    I=double(Iu); % int16 to double
    X_lin= interpolKernel(Y,4,'dogsonOptimal');
   % X_lin = zeropadding(Y);
    %X_lin= kernelRegression(I,4);
    X_lin = int16(X_lin);%changement de base 
    X_lin2 =  matriceIntensity(X_lin,maximum); 
    titime = titime+cputime-t1;
    fprintf('ticbi %8.3f sec\t', titime);
      
    pathDcm4che = 'D:\langage informatique\dcm4che\dcm4che-2.0.25-bin\dcm4che-2.0.25\lib\';%Path package dcm4che2
    fileInput = fS(i).name;
    pathOutput = 'C:\Users\Dimitri\Desktop\dogsonOptimal';
    fileOutput = noun(i).name;
    writenMatrice3(pathDcm4che ,X_lin2, fileInput,  pathOutput, fileOutput  );% dcm4che2
end
%     fprintf(fid,'Summary Method Interpolation\n');
%     fprintf(fid,'%8.3f %8.3f\n',titime/noofiles,tftime/noofiles); 
%     fclose(fid);% Output file .txt




